#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice.h>
#include <cydevice_trm.h>

/* Counter_1_CounterHW */
#define Counter_1_CounterHW__CAP0 CYREG_TMR0_CAP0
#define Counter_1_CounterHW__CAP1 CYREG_TMR0_CAP1
#define Counter_1_CounterHW__CFG0 CYREG_TMR0_CFG0
#define Counter_1_CounterHW__CFG1 CYREG_TMR0_CFG1
#define Counter_1_CounterHW__CFG2 CYREG_TMR0_CFG2
#define Counter_1_CounterHW__CNT_CMP0 CYREG_TMR0_CNT_CMP0
#define Counter_1_CounterHW__CNT_CMP1 CYREG_TMR0_CNT_CMP1
#define Counter_1_CounterHW__PER0 CYREG_TMR0_PER0
#define Counter_1_CounterHW__PER1 CYREG_TMR0_PER1
#define Counter_1_CounterHW__PM_ACT_CFG CYREG_PM_ACT_CFG3
#define Counter_1_CounterHW__PM_ACT_MSK 0x01u
#define Counter_1_CounterHW__PM_STBY_CFG CYREG_PM_STBY_CFG3
#define Counter_1_CounterHW__PM_STBY_MSK 0x01u
#define Counter_1_CounterHW__RT0 CYREG_TMR0_RT0
#define Counter_1_CounterHW__RT1 CYREG_TMR0_RT1
#define Counter_1_CounterHW__SR0 CYREG_TMR0_SR0

/* Counter_2_CounterHW */
#define Counter_2_CounterHW__CAP0 CYREG_TMR1_CAP0
#define Counter_2_CounterHW__CAP1 CYREG_TMR1_CAP1
#define Counter_2_CounterHW__CFG0 CYREG_TMR1_CFG0
#define Counter_2_CounterHW__CFG1 CYREG_TMR1_CFG1
#define Counter_2_CounterHW__CFG2 CYREG_TMR1_CFG2
#define Counter_2_CounterHW__CNT_CMP0 CYREG_TMR1_CNT_CMP0
#define Counter_2_CounterHW__CNT_CMP1 CYREG_TMR1_CNT_CMP1
#define Counter_2_CounterHW__PER0 CYREG_TMR1_PER0
#define Counter_2_CounterHW__PER1 CYREG_TMR1_PER1
#define Counter_2_CounterHW__PM_ACT_CFG CYREG_PM_ACT_CFG3
#define Counter_2_CounterHW__PM_ACT_MSK 0x02u
#define Counter_2_CounterHW__PM_STBY_CFG CYREG_PM_STBY_CFG3
#define Counter_2_CounterHW__PM_STBY_MSK 0x02u
#define Counter_2_CounterHW__RT0 CYREG_TMR1_RT0
#define Counter_2_CounterHW__RT1 CYREG_TMR1_RT1
#define Counter_2_CounterHW__SR0 CYREG_TMR1_SR0

/* ADC_SAR_1_ADC_SAR */
#define ADC_SAR_1_ADC_SAR__CLK CYREG_SAR0_CLK
#define ADC_SAR_1_ADC_SAR__CSR0 CYREG_SAR0_CSR0
#define ADC_SAR_1_ADC_SAR__CSR1 CYREG_SAR0_CSR1
#define ADC_SAR_1_ADC_SAR__CSR2 CYREG_SAR0_CSR2
#define ADC_SAR_1_ADC_SAR__CSR3 CYREG_SAR0_CSR3
#define ADC_SAR_1_ADC_SAR__CSR4 CYREG_SAR0_CSR4
#define ADC_SAR_1_ADC_SAR__CSR5 CYREG_SAR0_CSR5
#define ADC_SAR_1_ADC_SAR__CSR6 CYREG_SAR0_CSR6
#define ADC_SAR_1_ADC_SAR__PM_ACT_CFG CYREG_PM_ACT_CFG11
#define ADC_SAR_1_ADC_SAR__PM_ACT_MSK 0x01u
#define ADC_SAR_1_ADC_SAR__PM_STBY_CFG CYREG_PM_STBY_CFG11
#define ADC_SAR_1_ADC_SAR__PM_STBY_MSK 0x01u
#define ADC_SAR_1_ADC_SAR__SW0 CYREG_SAR0_SW0
#define ADC_SAR_1_ADC_SAR__SW2 CYREG_SAR0_SW2
#define ADC_SAR_1_ADC_SAR__SW3 CYREG_SAR0_SW3
#define ADC_SAR_1_ADC_SAR__SW4 CYREG_SAR0_SW4
#define ADC_SAR_1_ADC_SAR__SW6 CYREG_SAR0_SW6
#define ADC_SAR_1_ADC_SAR__TR0 CYREG_SAR0_TR0
#define ADC_SAR_1_ADC_SAR__WRK0 CYREG_SAR0_WRK0
#define ADC_SAR_1_ADC_SAR__WRK1 CYREG_SAR0_WRK1

/* ADC_SAR_1_theACLK */
#define ADC_SAR_1_theACLK__CFG0 CYREG_CLKDIST_ACFG0_CFG0
#define ADC_SAR_1_theACLK__CFG1 CYREG_CLKDIST_ACFG0_CFG1
#define ADC_SAR_1_theACLK__CFG2 CYREG_CLKDIST_ACFG0_CFG2
#define ADC_SAR_1_theACLK__CFG2_SRC_SEL_MASK 0x07u
#define ADC_SAR_1_theACLK__CFG3 CYREG_CLKDIST_ACFG0_CFG3
#define ADC_SAR_1_theACLK__CFG3_PHASE_DLY_MASK 0x0Fu
#define ADC_SAR_1_theACLK__INDEX 0x00u
#define ADC_SAR_1_theACLK__PM_ACT_CFG CYREG_PM_ACT_CFG1
#define ADC_SAR_1_theACLK__PM_ACT_MSK 0x01u
#define ADC_SAR_1_theACLK__PM_STBY_CFG CYREG_PM_STBY_CFG1
#define ADC_SAR_1_theACLK__PM_STBY_MSK 0x01u

/* ADC_SAR_2_ADC_SAR */
#define ADC_SAR_2_ADC_SAR__CLK CYREG_SAR1_CLK
#define ADC_SAR_2_ADC_SAR__CSR0 CYREG_SAR1_CSR0
#define ADC_SAR_2_ADC_SAR__CSR1 CYREG_SAR1_CSR1
#define ADC_SAR_2_ADC_SAR__CSR2 CYREG_SAR1_CSR2
#define ADC_SAR_2_ADC_SAR__CSR3 CYREG_SAR1_CSR3
#define ADC_SAR_2_ADC_SAR__CSR4 CYREG_SAR1_CSR4
#define ADC_SAR_2_ADC_SAR__CSR5 CYREG_SAR1_CSR5
#define ADC_SAR_2_ADC_SAR__CSR6 CYREG_SAR1_CSR6
#define ADC_SAR_2_ADC_SAR__PM_ACT_CFG CYREG_PM_ACT_CFG11
#define ADC_SAR_2_ADC_SAR__PM_ACT_MSK 0x02u
#define ADC_SAR_2_ADC_SAR__PM_STBY_CFG CYREG_PM_STBY_CFG11
#define ADC_SAR_2_ADC_SAR__PM_STBY_MSK 0x02u
#define ADC_SAR_2_ADC_SAR__SW0 CYREG_SAR1_SW0
#define ADC_SAR_2_ADC_SAR__SW2 CYREG_SAR1_SW2
#define ADC_SAR_2_ADC_SAR__SW3 CYREG_SAR1_SW3
#define ADC_SAR_2_ADC_SAR__SW4 CYREG_SAR1_SW4
#define ADC_SAR_2_ADC_SAR__SW6 CYREG_SAR1_SW6
#define ADC_SAR_2_ADC_SAR__TR0 CYREG_SAR1_TR0
#define ADC_SAR_2_ADC_SAR__WRK0 CYREG_SAR1_WRK0
#define ADC_SAR_2_ADC_SAR__WRK1 CYREG_SAR1_WRK1

/* ADC_SAR_2_theACLK */
#define ADC_SAR_2_theACLK__CFG0 CYREG_CLKDIST_ACFG1_CFG0
#define ADC_SAR_2_theACLK__CFG1 CYREG_CLKDIST_ACFG1_CFG1
#define ADC_SAR_2_theACLK__CFG2 CYREG_CLKDIST_ACFG1_CFG2
#define ADC_SAR_2_theACLK__CFG2_SRC_SEL_MASK 0x07u
#define ADC_SAR_2_theACLK__CFG3 CYREG_CLKDIST_ACFG1_CFG3
#define ADC_SAR_2_theACLK__CFG3_PHASE_DLY_MASK 0x0Fu
#define ADC_SAR_2_theACLK__INDEX 0x01u
#define ADC_SAR_2_theACLK__PM_ACT_CFG CYREG_PM_ACT_CFG1
#define ADC_SAR_2_theACLK__PM_ACT_MSK 0x02u
#define ADC_SAR_2_theACLK__PM_STBY_CFG CYREG_PM_STBY_CFG1
#define ADC_SAR_2_theACLK__PM_STBY_MSK 0x02u

/* ADC_SAR_1_Bypass */
#define ADC_SAR_1_Bypass__0__MASK 0x10u
#define ADC_SAR_1_Bypass__0__PC CYREG_PRT0_PC4
#define ADC_SAR_1_Bypass__0__PORT 0u
#define ADC_SAR_1_Bypass__0__SHIFT 4
#define ADC_SAR_1_Bypass__AG CYREG_PRT0_AG
#define ADC_SAR_1_Bypass__AMUX CYREG_PRT0_AMUX
#define ADC_SAR_1_Bypass__BIE CYREG_PRT0_BIE
#define ADC_SAR_1_Bypass__BIT_MASK CYREG_PRT0_BIT_MASK
#define ADC_SAR_1_Bypass__BYP CYREG_PRT0_BYP
#define ADC_SAR_1_Bypass__CTL CYREG_PRT0_CTL
#define ADC_SAR_1_Bypass__DM0 CYREG_PRT0_DM0
#define ADC_SAR_1_Bypass__DM1 CYREG_PRT0_DM1
#define ADC_SAR_1_Bypass__DM2 CYREG_PRT0_DM2
#define ADC_SAR_1_Bypass__DR CYREG_PRT0_DR
#define ADC_SAR_1_Bypass__INP_DIS CYREG_PRT0_INP_DIS
#define ADC_SAR_1_Bypass__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define ADC_SAR_1_Bypass__LCD_EN CYREG_PRT0_LCD_EN
#define ADC_SAR_1_Bypass__MASK 0x10u
#define ADC_SAR_1_Bypass__PORT 0u
#define ADC_SAR_1_Bypass__PRT CYREG_PRT0_PRT
#define ADC_SAR_1_Bypass__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define ADC_SAR_1_Bypass__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define ADC_SAR_1_Bypass__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define ADC_SAR_1_Bypass__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define ADC_SAR_1_Bypass__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define ADC_SAR_1_Bypass__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define ADC_SAR_1_Bypass__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define ADC_SAR_1_Bypass__PS CYREG_PRT0_PS
#define ADC_SAR_1_Bypass__SHIFT 4
#define ADC_SAR_1_Bypass__SLW CYREG_PRT0_SLW

/* ADC_SAR_2_Bypass */
#define ADC_SAR_2_Bypass__0__MASK 0x04u
#define ADC_SAR_2_Bypass__0__PC CYREG_PRT0_PC2
#define ADC_SAR_2_Bypass__0__PORT 0u
#define ADC_SAR_2_Bypass__0__SHIFT 2
#define ADC_SAR_2_Bypass__AG CYREG_PRT0_AG
#define ADC_SAR_2_Bypass__AMUX CYREG_PRT0_AMUX
#define ADC_SAR_2_Bypass__BIE CYREG_PRT0_BIE
#define ADC_SAR_2_Bypass__BIT_MASK CYREG_PRT0_BIT_MASK
#define ADC_SAR_2_Bypass__BYP CYREG_PRT0_BYP
#define ADC_SAR_2_Bypass__CTL CYREG_PRT0_CTL
#define ADC_SAR_2_Bypass__DM0 CYREG_PRT0_DM0
#define ADC_SAR_2_Bypass__DM1 CYREG_PRT0_DM1
#define ADC_SAR_2_Bypass__DM2 CYREG_PRT0_DM2
#define ADC_SAR_2_Bypass__DR CYREG_PRT0_DR
#define ADC_SAR_2_Bypass__INP_DIS CYREG_PRT0_INP_DIS
#define ADC_SAR_2_Bypass__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define ADC_SAR_2_Bypass__LCD_EN CYREG_PRT0_LCD_EN
#define ADC_SAR_2_Bypass__MASK 0x04u
#define ADC_SAR_2_Bypass__PORT 0u
#define ADC_SAR_2_Bypass__PRT CYREG_PRT0_PRT
#define ADC_SAR_2_Bypass__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define ADC_SAR_2_Bypass__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define ADC_SAR_2_Bypass__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define ADC_SAR_2_Bypass__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define ADC_SAR_2_Bypass__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define ADC_SAR_2_Bypass__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define ADC_SAR_2_Bypass__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define ADC_SAR_2_Bypass__PS CYREG_PRT0_PS
#define ADC_SAR_2_Bypass__SHIFT 2
#define ADC_SAR_2_Bypass__SLW CYREG_PRT0_SLW

/* VDAC8_1_viDAC8 */
#define VDAC8_1_viDAC8__CR0 CYREG_DAC3_CR0
#define VDAC8_1_viDAC8__CR1 CYREG_DAC3_CR1
#define VDAC8_1_viDAC8__D CYREG_DAC3_D
#define VDAC8_1_viDAC8__PM_ACT_CFG CYREG_PM_ACT_CFG8
#define VDAC8_1_viDAC8__PM_ACT_MSK 0x08u
#define VDAC8_1_viDAC8__PM_STBY_CFG CYREG_PM_STBY_CFG8
#define VDAC8_1_viDAC8__PM_STBY_MSK 0x08u
#define VDAC8_1_viDAC8__STROBE CYREG_DAC3_STROBE
#define VDAC8_1_viDAC8__SW0 CYREG_DAC3_SW0
#define VDAC8_1_viDAC8__SW2 CYREG_DAC3_SW2
#define VDAC8_1_viDAC8__SW3 CYREG_DAC3_SW3
#define VDAC8_1_viDAC8__SW4 CYREG_DAC3_SW4
#define VDAC8_1_viDAC8__TR CYREG_DAC3_TR
#define VDAC8_1_viDAC8__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DAC3_M1
#define VDAC8_1_viDAC8__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DAC3_M2
#define VDAC8_1_viDAC8__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DAC3_M3
#define VDAC8_1_viDAC8__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DAC3_M4
#define VDAC8_1_viDAC8__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DAC3_M5
#define VDAC8_1_viDAC8__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DAC3_M6
#define VDAC8_1_viDAC8__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DAC3_M7
#define VDAC8_1_viDAC8__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DAC3_M8
#define VDAC8_1_viDAC8__TST CYREG_DAC3_TST

/* VDAC8_2_viDAC8 */
#define VDAC8_2_viDAC8__CR0 CYREG_DAC1_CR0
#define VDAC8_2_viDAC8__CR1 CYREG_DAC1_CR1
#define VDAC8_2_viDAC8__D CYREG_DAC1_D
#define VDAC8_2_viDAC8__PM_ACT_CFG CYREG_PM_ACT_CFG8
#define VDAC8_2_viDAC8__PM_ACT_MSK 0x02u
#define VDAC8_2_viDAC8__PM_STBY_CFG CYREG_PM_STBY_CFG8
#define VDAC8_2_viDAC8__PM_STBY_MSK 0x02u
#define VDAC8_2_viDAC8__STROBE CYREG_DAC1_STROBE
#define VDAC8_2_viDAC8__SW0 CYREG_DAC1_SW0
#define VDAC8_2_viDAC8__SW2 CYREG_DAC1_SW2
#define VDAC8_2_viDAC8__SW3 CYREG_DAC1_SW3
#define VDAC8_2_viDAC8__SW4 CYREG_DAC1_SW4
#define VDAC8_2_viDAC8__TR CYREG_DAC1_TR
#define VDAC8_2_viDAC8__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DAC1_M1
#define VDAC8_2_viDAC8__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DAC1_M2
#define VDAC8_2_viDAC8__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DAC1_M3
#define VDAC8_2_viDAC8__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DAC1_M4
#define VDAC8_2_viDAC8__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DAC1_M5
#define VDAC8_2_viDAC8__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DAC1_M6
#define VDAC8_2_viDAC8__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DAC1_M7
#define VDAC8_2_viDAC8__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DAC1_M8
#define VDAC8_2_viDAC8__TST CYREG_DAC1_TST

/* ADC_SAR_1_IRQ */
#define ADC_SAR_1_IRQ__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define ADC_SAR_1_IRQ__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define ADC_SAR_1_IRQ__INTC_MASK 0x01u
#define ADC_SAR_1_IRQ__INTC_NUMBER 0u
#define ADC_SAR_1_IRQ__INTC_PRIOR_NUM 7u
#define ADC_SAR_1_IRQ__INTC_PRIOR_REG CYREG_NVIC_PRI_0
#define ADC_SAR_1_IRQ__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define ADC_SAR_1_IRQ__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* ADC_SAR_2_IRQ */
#define ADC_SAR_2_IRQ__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define ADC_SAR_2_IRQ__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define ADC_SAR_2_IRQ__INTC_MASK 0x02u
#define ADC_SAR_2_IRQ__INTC_NUMBER 1u
#define ADC_SAR_2_IRQ__INTC_PRIOR_NUM 7u
#define ADC_SAR_2_IRQ__INTC_PRIOR_REG CYREG_NVIC_PRI_1
#define ADC_SAR_2_IRQ__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define ADC_SAR_2_IRQ__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* PO_OLED_VCCEN */
#define PO_OLED_VCCEN__0__MASK 0x20u
#define PO_OLED_VCCEN__0__PC CYREG_PRT6_PC5
#define PO_OLED_VCCEN__0__PORT 6u
#define PO_OLED_VCCEN__0__SHIFT 5
#define PO_OLED_VCCEN__AG CYREG_PRT6_AG
#define PO_OLED_VCCEN__AMUX CYREG_PRT6_AMUX
#define PO_OLED_VCCEN__BIE CYREG_PRT6_BIE
#define PO_OLED_VCCEN__BIT_MASK CYREG_PRT6_BIT_MASK
#define PO_OLED_VCCEN__BYP CYREG_PRT6_BYP
#define PO_OLED_VCCEN__CTL CYREG_PRT6_CTL
#define PO_OLED_VCCEN__DM0 CYREG_PRT6_DM0
#define PO_OLED_VCCEN__DM1 CYREG_PRT6_DM1
#define PO_OLED_VCCEN__DM2 CYREG_PRT6_DM2
#define PO_OLED_VCCEN__DR CYREG_PRT6_DR
#define PO_OLED_VCCEN__INP_DIS CYREG_PRT6_INP_DIS
#define PO_OLED_VCCEN__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define PO_OLED_VCCEN__LCD_EN CYREG_PRT6_LCD_EN
#define PO_OLED_VCCEN__MASK 0x20u
#define PO_OLED_VCCEN__PORT 6u
#define PO_OLED_VCCEN__PRT CYREG_PRT6_PRT
#define PO_OLED_VCCEN__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define PO_OLED_VCCEN__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define PO_OLED_VCCEN__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define PO_OLED_VCCEN__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define PO_OLED_VCCEN__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define PO_OLED_VCCEN__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define PO_OLED_VCCEN__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define PO_OLED_VCCEN__PS CYREG_PRT6_PS
#define PO_OLED_VCCEN__SHIFT 5
#define PO_OLED_VCCEN__SLW CYREG_PRT6_SLW

/* Filter_1_DFB */
#define Filter_1_DFB__ACU_SRAM_DATA CYREG_DFB0_ACU_SRAM_DATA_MBASE
#define Filter_1_DFB__COHER CYREG_DFB0_COHER
#define Filter_1_DFB__CR CYREG_DFB0_CR
#define Filter_1_DFB__CSA_SRAM_DATA CYREG_DFB0_CSA_SRAM_DATA_MBASE
#define Filter_1_DFB__CSB_SRAM_DATA CYREG_DFB0_CSB_SRAM_DATA_MBASE
#define Filter_1_DFB__DALIGN CYREG_DFB0_DALIGN
#define Filter_1_DFB__DMA_CTRL CYREG_DFB0_DMA_CTRL
#define Filter_1_DFB__DPA_SRAM_DATA CYREG_DFB0_DPA_SRAM_DATA_MBASE
#define Filter_1_DFB__DPB_SRAM_DATA CYREG_DFB0_DPB_SRAM_DATA_MBASE
#define Filter_1_DFB__DSI_CTRL CYREG_DFB0_DSI_CTRL
#define Filter_1_DFB__FSM_SRAM_DATA CYREG_DFB0_FSM_SRAM_DATA_MBASE
#define Filter_1_DFB__HOLDA CYREG_DFB0_HOLDA
#define Filter_1_DFB__HOLDAH CYREG_DFB0_HOLDAH
#define Filter_1_DFB__HOLDAM CYREG_DFB0_HOLDAM
#define Filter_1_DFB__HOLDAS CYREG_DFB0_HOLDAS
#define Filter_1_DFB__HOLDB CYREG_DFB0_HOLDB
#define Filter_1_DFB__HOLDBH CYREG_DFB0_HOLDBH
#define Filter_1_DFB__HOLDBM CYREG_DFB0_HOLDBM
#define Filter_1_DFB__HOLDBS CYREG_DFB0_HOLDBS
#define Filter_1_DFB__INT_CTRL CYREG_DFB0_INT_CTRL
#define Filter_1_DFB__PM_ACT_CFG CYREG_PM_ACT_CFG6
#define Filter_1_DFB__PM_ACT_MSK 0x10u
#define Filter_1_DFB__PM_STBY_CFG CYREG_PM_STBY_CFG6
#define Filter_1_DFB__PM_STBY_MSK 0x10u
#define Filter_1_DFB__RAM_DIR CYREG_DFB0_RAM_DIR
#define Filter_1_DFB__RAM_EN CYREG_DFB0_RAM_EN
#define Filter_1_DFB__SEMA CYREG_DFB0_SEMA
#define Filter_1_DFB__SR CYREG_DFB0_SR
#define Filter_1_DFB__STAGEA CYREG_DFB0_STAGEA
#define Filter_1_DFB__STAGEAH CYREG_DFB0_STAGEAH
#define Filter_1_DFB__STAGEAM CYREG_DFB0_STAGEAM
#define Filter_1_DFB__STAGEB CYREG_DFB0_STAGEB
#define Filter_1_DFB__STAGEBH CYREG_DFB0_STAGEBH
#define Filter_1_DFB__STAGEBM CYREG_DFB0_STAGEBM

/* PO_OLED_RESN */
#define PO_OLED_RESN__0__MASK 0x10u
#define PO_OLED_RESN__0__PC CYREG_PRT6_PC4
#define PO_OLED_RESN__0__PORT 6u
#define PO_OLED_RESN__0__SHIFT 4
#define PO_OLED_RESN__AG CYREG_PRT6_AG
#define PO_OLED_RESN__AMUX CYREG_PRT6_AMUX
#define PO_OLED_RESN__BIE CYREG_PRT6_BIE
#define PO_OLED_RESN__BIT_MASK CYREG_PRT6_BIT_MASK
#define PO_OLED_RESN__BYP CYREG_PRT6_BYP
#define PO_OLED_RESN__CTL CYREG_PRT6_CTL
#define PO_OLED_RESN__DM0 CYREG_PRT6_DM0
#define PO_OLED_RESN__DM1 CYREG_PRT6_DM1
#define PO_OLED_RESN__DM2 CYREG_PRT6_DM2
#define PO_OLED_RESN__DR CYREG_PRT6_DR
#define PO_OLED_RESN__INP_DIS CYREG_PRT6_INP_DIS
#define PO_OLED_RESN__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define PO_OLED_RESN__LCD_EN CYREG_PRT6_LCD_EN
#define PO_OLED_RESN__MASK 0x10u
#define PO_OLED_RESN__PORT 6u
#define PO_OLED_RESN__PRT CYREG_PRT6_PRT
#define PO_OLED_RESN__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define PO_OLED_RESN__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define PO_OLED_RESN__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define PO_OLED_RESN__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define PO_OLED_RESN__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define PO_OLED_RESN__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define PO_OLED_RESN__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define PO_OLED_RESN__PS CYREG_PRT6_PS
#define PO_OLED_RESN__SHIFT 4
#define PO_OLED_RESN__SLW CYREG_PRT6_SLW

/* SPIM_1_BSPIM */
#define SPIM_1_BSPIM_BitCounter_ST__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB11_12_ACTL
#define SPIM_1_BSPIM_BitCounter_ST__16BIT_STATUS_REG CYREG_B0_UDB11_12_ST
#define SPIM_1_BSPIM_BitCounter_ST__MASK_REG CYREG_B0_UDB11_MSK
#define SPIM_1_BSPIM_BitCounter_ST__MASK_ST_AUX_CTL_REG CYREG_B0_UDB11_MSK_ACTL
#define SPIM_1_BSPIM_BitCounter_ST__PER_ST_AUX_CTL_REG CYREG_B0_UDB11_MSK_ACTL
#define SPIM_1_BSPIM_BitCounter_ST__STATUS_AUX_CTL_REG CYREG_B0_UDB11_ACTL
#define SPIM_1_BSPIM_BitCounter_ST__STATUS_CNT_REG CYREG_B0_UDB11_ST_CTL
#define SPIM_1_BSPIM_BitCounter_ST__STATUS_CONTROL_REG CYREG_B0_UDB11_ST_CTL
#define SPIM_1_BSPIM_BitCounter_ST__STATUS_REG CYREG_B0_UDB11_ST
#define SPIM_1_BSPIM_BitCounter__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB11_12_ACTL
#define SPIM_1_BSPIM_BitCounter__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB11_12_CTL
#define SPIM_1_BSPIM_BitCounter__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB11_12_CTL
#define SPIM_1_BSPIM_BitCounter__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB11_12_CTL
#define SPIM_1_BSPIM_BitCounter__16BIT_COUNT_COUNT_REG CYREG_B0_UDB11_12_CTL
#define SPIM_1_BSPIM_BitCounter__16BIT_MASK_MASK_REG CYREG_B0_UDB11_12_MSK
#define SPIM_1_BSPIM_BitCounter__16BIT_MASK_PERIOD_REG CYREG_B0_UDB11_12_MSK
#define SPIM_1_BSPIM_BitCounter__16BIT_PERIOD_MASK_REG CYREG_B0_UDB11_12_MSK
#define SPIM_1_BSPIM_BitCounter__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB11_12_MSK
#define SPIM_1_BSPIM_BitCounter__CONTROL_AUX_CTL_REG CYREG_B0_UDB11_ACTL
#define SPIM_1_BSPIM_BitCounter__CONTROL_REG CYREG_B0_UDB11_CTL
#define SPIM_1_BSPIM_BitCounter__CONTROL_ST_REG CYREG_B0_UDB11_ST_CTL
#define SPIM_1_BSPIM_BitCounter__COUNT_REG CYREG_B0_UDB11_CTL
#define SPIM_1_BSPIM_BitCounter__COUNT_ST_REG CYREG_B0_UDB11_ST_CTL
#define SPIM_1_BSPIM_BitCounter__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB11_MSK_ACTL
#define SPIM_1_BSPIM_BitCounter__PERIOD_REG CYREG_B0_UDB11_MSK
#define SPIM_1_BSPIM_BitCounter__PER_CTL_AUX_CTL_REG CYREG_B0_UDB11_MSK_ACTL
#define SPIM_1_BSPIM_RxStsReg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB12_13_ACTL
#define SPIM_1_BSPIM_RxStsReg__16BIT_STATUS_REG CYREG_B0_UDB12_13_ST
#define SPIM_1_BSPIM_RxStsReg__4__MASK 0x10u
#define SPIM_1_BSPIM_RxStsReg__4__POS 4
#define SPIM_1_BSPIM_RxStsReg__5__MASK 0x20u
#define SPIM_1_BSPIM_RxStsReg__5__POS 5
#define SPIM_1_BSPIM_RxStsReg__6__MASK 0x40u
#define SPIM_1_BSPIM_RxStsReg__6__POS 6
#define SPIM_1_BSPIM_RxStsReg__MASK 0x70u
#define SPIM_1_BSPIM_RxStsReg__MASK_REG CYREG_B0_UDB12_MSK
#define SPIM_1_BSPIM_RxStsReg__STATUS_AUX_CTL_REG CYREG_B0_UDB12_ACTL
#define SPIM_1_BSPIM_RxStsReg__STATUS_REG CYREG_B0_UDB12_ST
#define SPIM_1_BSPIM_TxStsReg__0__MASK 0x01u
#define SPIM_1_BSPIM_TxStsReg__0__POS 0
#define SPIM_1_BSPIM_TxStsReg__1__MASK 0x02u
#define SPIM_1_BSPIM_TxStsReg__1__POS 1
#define SPIM_1_BSPIM_TxStsReg__2__MASK 0x04u
#define SPIM_1_BSPIM_TxStsReg__2__POS 2
#define SPIM_1_BSPIM_TxStsReg__3__MASK 0x08u
#define SPIM_1_BSPIM_TxStsReg__3__POS 3
#define SPIM_1_BSPIM_TxStsReg__4__MASK 0x10u
#define SPIM_1_BSPIM_TxStsReg__4__POS 4
#define SPIM_1_BSPIM_TxStsReg__MASK 0x1Fu
#define SPIM_1_BSPIM_TxStsReg__MASK_REG CYREG_B0_UDB15_MSK
#define SPIM_1_BSPIM_TxStsReg__STATUS_AUX_CTL_REG CYREG_B0_UDB15_ACTL
#define SPIM_1_BSPIM_TxStsReg__STATUS_REG CYREG_B0_UDB15_ST
#define SPIM_1_BSPIM_sR16_Dp_u0__16BIT_A0_REG CYREG_B0_UDB12_13_A0
#define SPIM_1_BSPIM_sR16_Dp_u0__16BIT_A1_REG CYREG_B0_UDB12_13_A1
#define SPIM_1_BSPIM_sR16_Dp_u0__16BIT_D0_REG CYREG_B0_UDB12_13_D0
#define SPIM_1_BSPIM_sR16_Dp_u0__16BIT_D1_REG CYREG_B0_UDB12_13_D1
#define SPIM_1_BSPIM_sR16_Dp_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB12_13_ACTL
#define SPIM_1_BSPIM_sR16_Dp_u0__16BIT_F0_REG CYREG_B0_UDB12_13_F0
#define SPIM_1_BSPIM_sR16_Dp_u0__16BIT_F1_REG CYREG_B0_UDB12_13_F1
#define SPIM_1_BSPIM_sR16_Dp_u0__A0_A1_REG CYREG_B0_UDB12_A0_A1
#define SPIM_1_BSPIM_sR16_Dp_u0__A0_REG CYREG_B0_UDB12_A0
#define SPIM_1_BSPIM_sR16_Dp_u0__A1_REG CYREG_B0_UDB12_A1
#define SPIM_1_BSPIM_sR16_Dp_u0__D0_D1_REG CYREG_B0_UDB12_D0_D1
#define SPIM_1_BSPIM_sR16_Dp_u0__D0_REG CYREG_B0_UDB12_D0
#define SPIM_1_BSPIM_sR16_Dp_u0__D1_REG CYREG_B0_UDB12_D1
#define SPIM_1_BSPIM_sR16_Dp_u0__DP_AUX_CTL_REG CYREG_B0_UDB12_ACTL
#define SPIM_1_BSPIM_sR16_Dp_u0__F0_F1_REG CYREG_B0_UDB12_F0_F1
#define SPIM_1_BSPIM_sR16_Dp_u0__F0_REG CYREG_B0_UDB12_F0
#define SPIM_1_BSPIM_sR16_Dp_u0__F1_REG CYREG_B0_UDB12_F1
#define SPIM_1_BSPIM_sR16_Dp_u1__16BIT_A0_REG CYREG_B0_UDB13_14_A0
#define SPIM_1_BSPIM_sR16_Dp_u1__16BIT_A1_REG CYREG_B0_UDB13_14_A1
#define SPIM_1_BSPIM_sR16_Dp_u1__16BIT_D0_REG CYREG_B0_UDB13_14_D0
#define SPIM_1_BSPIM_sR16_Dp_u1__16BIT_D1_REG CYREG_B0_UDB13_14_D1
#define SPIM_1_BSPIM_sR16_Dp_u1__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB13_14_ACTL
#define SPIM_1_BSPIM_sR16_Dp_u1__16BIT_F0_REG CYREG_B0_UDB13_14_F0
#define SPIM_1_BSPIM_sR16_Dp_u1__16BIT_F1_REG CYREG_B0_UDB13_14_F1
#define SPIM_1_BSPIM_sR16_Dp_u1__A0_A1_REG CYREG_B0_UDB13_A0_A1
#define SPIM_1_BSPIM_sR16_Dp_u1__A0_REG CYREG_B0_UDB13_A0
#define SPIM_1_BSPIM_sR16_Dp_u1__A1_REG CYREG_B0_UDB13_A1
#define SPIM_1_BSPIM_sR16_Dp_u1__D0_D1_REG CYREG_B0_UDB13_D0_D1
#define SPIM_1_BSPIM_sR16_Dp_u1__D0_REG CYREG_B0_UDB13_D0
#define SPIM_1_BSPIM_sR16_Dp_u1__D1_REG CYREG_B0_UDB13_D1
#define SPIM_1_BSPIM_sR16_Dp_u1__DP_AUX_CTL_REG CYREG_B0_UDB13_ACTL
#define SPIM_1_BSPIM_sR16_Dp_u1__F0_F1_REG CYREG_B0_UDB13_F0_F1
#define SPIM_1_BSPIM_sR16_Dp_u1__F0_REG CYREG_B0_UDB13_F0
#define SPIM_1_BSPIM_sR16_Dp_u1__F1_REG CYREG_B0_UDB13_F1

/* isr_filter */
#define isr_filter__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define isr_filter__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define isr_filter__INTC_MASK 0x10000000u
#define isr_filter__INTC_NUMBER 28u
#define isr_filter__INTC_PRIOR_NUM 7u
#define isr_filter__INTC_PRIOR_REG CYREG_NVIC_PRI_28
#define isr_filter__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define isr_filter__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* isr_spi_rx */
#define isr_spi_rx__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define isr_spi_rx__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define isr_spi_rx__INTC_MASK 0x04u
#define isr_spi_rx__INTC_NUMBER 2u
#define isr_spi_rx__INTC_PRIOR_NUM 7u
#define isr_spi_rx__INTC_PRIOR_REG CYREG_NVIC_PRI_2
#define isr_spi_rx__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define isr_spi_rx__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* isr_spi_tx */
#define isr_spi_tx__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define isr_spi_tx__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define isr_spi_tx__INTC_MASK 0x08u
#define isr_spi_tx__INTC_NUMBER 3u
#define isr_spi_tx__INTC_PRIOR_NUM 7u
#define isr_spi_tx__INTC_PRIOR_REG CYREG_NVIC_PRI_3
#define isr_spi_tx__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define isr_spi_tx__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* Mixer_1_SC */
#define Mixer_1_SC__BST CYREG_SC1_BST
#define Mixer_1_SC__CLK CYREG_SC1_CLK
#define Mixer_1_SC__CMPINV CYREG_SC_CMPINV
#define Mixer_1_SC__CPTR CYREG_SC_CPTR
#define Mixer_1_SC__CR0 CYREG_SC1_CR0
#define Mixer_1_SC__CR1 CYREG_SC1_CR1
#define Mixer_1_SC__CR2 CYREG_SC1_CR2
#define Mixer_1_SC__MSK CYREG_SC_MSK
#define Mixer_1_SC__PM_ACT_CFG CYREG_PM_ACT_CFG9
#define Mixer_1_SC__PM_ACT_MSK 0x02u
#define Mixer_1_SC__PM_STBY_CFG CYREG_PM_STBY_CFG9
#define Mixer_1_SC__PM_STBY_MSK 0x02u
#define Mixer_1_SC__SR CYREG_SC_SR
#define Mixer_1_SC__SW0 CYREG_SC1_SW0
#define Mixer_1_SC__SW10 CYREG_SC1_SW10
#define Mixer_1_SC__SW2 CYREG_SC1_SW2
#define Mixer_1_SC__SW3 CYREG_SC1_SW3
#define Mixer_1_SC__SW4 CYREG_SC1_SW4
#define Mixer_1_SC__SW6 CYREG_SC1_SW6
#define Mixer_1_SC__SW7 CYREG_SC1_SW7
#define Mixer_1_SC__SW8 CYREG_SC1_SW8
#define Mixer_1_SC__WRK1 CYREG_SC_WRK1

/* Mixer_2_SC */
#define Mixer_2_SC__BST CYREG_SC0_BST
#define Mixer_2_SC__CLK CYREG_SC0_CLK
#define Mixer_2_SC__CMPINV CYREG_SC_CMPINV
#define Mixer_2_SC__CPTR CYREG_SC_CPTR
#define Mixer_2_SC__CR0 CYREG_SC0_CR0
#define Mixer_2_SC__CR1 CYREG_SC0_CR1
#define Mixer_2_SC__CR2 CYREG_SC0_CR2
#define Mixer_2_SC__MSK CYREG_SC_MSK
#define Mixer_2_SC__PM_ACT_CFG CYREG_PM_ACT_CFG9
#define Mixer_2_SC__PM_ACT_MSK 0x01u
#define Mixer_2_SC__PM_STBY_CFG CYREG_PM_STBY_CFG9
#define Mixer_2_SC__PM_STBY_MSK 0x01u
#define Mixer_2_SC__SR CYREG_SC_SR
#define Mixer_2_SC__SW0 CYREG_SC0_SW0
#define Mixer_2_SC__SW10 CYREG_SC0_SW10
#define Mixer_2_SC__SW2 CYREG_SC0_SW2
#define Mixer_2_SC__SW3 CYREG_SC0_SW3
#define Mixer_2_SC__SW4 CYREG_SC0_SW4
#define Mixer_2_SC__SW6 CYREG_SC0_SW6
#define Mixer_2_SC__SW7 CYREG_SC0_SW7
#define Mixer_2_SC__SW8 CYREG_SC0_SW8
#define Mixer_2_SC__WRK1 CYREG_SC_WRK1

/* PGA_1_SC */
#define PGA_1_SC__BST CYREG_SC2_BST
#define PGA_1_SC__CLK CYREG_SC2_CLK
#define PGA_1_SC__CMPINV CYREG_SC_CMPINV
#define PGA_1_SC__CPTR CYREG_SC_CPTR
#define PGA_1_SC__CR0 CYREG_SC2_CR0
#define PGA_1_SC__CR1 CYREG_SC2_CR1
#define PGA_1_SC__CR2 CYREG_SC2_CR2
#define PGA_1_SC__MSK CYREG_SC_MSK
#define PGA_1_SC__PM_ACT_CFG CYREG_PM_ACT_CFG9
#define PGA_1_SC__PM_ACT_MSK 0x04u
#define PGA_1_SC__PM_STBY_CFG CYREG_PM_STBY_CFG9
#define PGA_1_SC__PM_STBY_MSK 0x04u
#define PGA_1_SC__SR CYREG_SC_SR
#define PGA_1_SC__SW0 CYREG_SC2_SW0
#define PGA_1_SC__SW10 CYREG_SC2_SW10
#define PGA_1_SC__SW2 CYREG_SC2_SW2
#define PGA_1_SC__SW3 CYREG_SC2_SW3
#define PGA_1_SC__SW4 CYREG_SC2_SW4
#define PGA_1_SC__SW6 CYREG_SC2_SW6
#define PGA_1_SC__SW7 CYREG_SC2_SW7
#define PGA_1_SC__SW8 CYREG_SC2_SW8
#define PGA_1_SC__WRK1 CYREG_SC_WRK1

/* PGA_2_SC */
#define PGA_2_SC__BST CYREG_SC3_BST
#define PGA_2_SC__CLK CYREG_SC3_CLK
#define PGA_2_SC__CMPINV CYREG_SC_CMPINV
#define PGA_2_SC__CPTR CYREG_SC_CPTR
#define PGA_2_SC__CR0 CYREG_SC3_CR0
#define PGA_2_SC__CR1 CYREG_SC3_CR1
#define PGA_2_SC__CR2 CYREG_SC3_CR2
#define PGA_2_SC__MSK CYREG_SC_MSK
#define PGA_2_SC__PM_ACT_CFG CYREG_PM_ACT_CFG9
#define PGA_2_SC__PM_ACT_MSK 0x08u
#define PGA_2_SC__PM_STBY_CFG CYREG_PM_STBY_CFG9
#define PGA_2_SC__PM_STBY_MSK 0x08u
#define PGA_2_SC__SR CYREG_SC_SR
#define PGA_2_SC__SW0 CYREG_SC3_SW0
#define PGA_2_SC__SW10 CYREG_SC3_SW10
#define PGA_2_SC__SW2 CYREG_SC3_SW2
#define PGA_2_SC__SW3 CYREG_SC3_SW3
#define PGA_2_SC__SW4 CYREG_SC3_SW4
#define PGA_2_SC__SW6 CYREG_SC3_SW6
#define PGA_2_SC__SW7 CYREG_SC3_SW7
#define PGA_2_SC__SW8 CYREG_SC3_SW8
#define PGA_2_SC__WRK1 CYREG_SC_WRK1

/* PI_KEY_0 */
#define PI_KEY_0__0__MASK 0x10u
#define PI_KEY_0__0__PC CYREG_IO_PC_PRT15_PC4
#define PI_KEY_0__0__PORT 15u
#define PI_KEY_0__0__SHIFT 4
#define PI_KEY_0__AG CYREG_PRT15_AG
#define PI_KEY_0__AMUX CYREG_PRT15_AMUX
#define PI_KEY_0__BIE CYREG_PRT15_BIE
#define PI_KEY_0__BIT_MASK CYREG_PRT15_BIT_MASK
#define PI_KEY_0__BYP CYREG_PRT15_BYP
#define PI_KEY_0__CTL CYREG_PRT15_CTL
#define PI_KEY_0__DM0 CYREG_PRT15_DM0
#define PI_KEY_0__DM1 CYREG_PRT15_DM1
#define PI_KEY_0__DM2 CYREG_PRT15_DM2
#define PI_KEY_0__DR CYREG_PRT15_DR
#define PI_KEY_0__INP_DIS CYREG_PRT15_INP_DIS
#define PI_KEY_0__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define PI_KEY_0__LCD_EN CYREG_PRT15_LCD_EN
#define PI_KEY_0__MASK 0x10u
#define PI_KEY_0__PORT 15u
#define PI_KEY_0__PRT CYREG_PRT15_PRT
#define PI_KEY_0__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define PI_KEY_0__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define PI_KEY_0__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define PI_KEY_0__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define PI_KEY_0__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define PI_KEY_0__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define PI_KEY_0__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define PI_KEY_0__PS CYREG_PRT15_PS
#define PI_KEY_0__SHIFT 4
#define PI_KEY_0__SLW CYREG_PRT15_SLW

/* PI_KEY_1 */
#define PI_KEY_1__0__MASK 0x20u
#define PI_KEY_1__0__PC CYREG_IO_PC_PRT15_PC5
#define PI_KEY_1__0__PORT 15u
#define PI_KEY_1__0__SHIFT 5
#define PI_KEY_1__AG CYREG_PRT15_AG
#define PI_KEY_1__AMUX CYREG_PRT15_AMUX
#define PI_KEY_1__BIE CYREG_PRT15_BIE
#define PI_KEY_1__BIT_MASK CYREG_PRT15_BIT_MASK
#define PI_KEY_1__BYP CYREG_PRT15_BYP
#define PI_KEY_1__CTL CYREG_PRT15_CTL
#define PI_KEY_1__DM0 CYREG_PRT15_DM0
#define PI_KEY_1__DM1 CYREG_PRT15_DM1
#define PI_KEY_1__DM2 CYREG_PRT15_DM2
#define PI_KEY_1__DR CYREG_PRT15_DR
#define PI_KEY_1__INP_DIS CYREG_PRT15_INP_DIS
#define PI_KEY_1__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define PI_KEY_1__LCD_EN CYREG_PRT15_LCD_EN
#define PI_KEY_1__MASK 0x20u
#define PI_KEY_1__PORT 15u
#define PI_KEY_1__PRT CYREG_PRT15_PRT
#define PI_KEY_1__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define PI_KEY_1__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define PI_KEY_1__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define PI_KEY_1__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define PI_KEY_1__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define PI_KEY_1__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define PI_KEY_1__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define PI_KEY_1__PS CYREG_PRT15_PS
#define PI_KEY_1__SHIFT 5
#define PI_KEY_1__SLW CYREG_PRT15_SLW

/* PO_POWER */
#define PO_POWER__0__MASK 0x80u
#define PO_POWER__0__PC CYREG_PRT6_PC7
#define PO_POWER__0__PORT 6u
#define PO_POWER__0__SHIFT 7
#define PO_POWER__AG CYREG_PRT6_AG
#define PO_POWER__AMUX CYREG_PRT6_AMUX
#define PO_POWER__BIE CYREG_PRT6_BIE
#define PO_POWER__BIT_MASK CYREG_PRT6_BIT_MASK
#define PO_POWER__BYP CYREG_PRT6_BYP
#define PO_POWER__CTL CYREG_PRT6_CTL
#define PO_POWER__DM0 CYREG_PRT6_DM0
#define PO_POWER__DM1 CYREG_PRT6_DM1
#define PO_POWER__DM2 CYREG_PRT6_DM2
#define PO_POWER__DR CYREG_PRT6_DR
#define PO_POWER__INP_DIS CYREG_PRT6_INP_DIS
#define PO_POWER__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define PO_POWER__LCD_EN CYREG_PRT6_LCD_EN
#define PO_POWER__MASK 0x80u
#define PO_POWER__PORT 6u
#define PO_POWER__PRT CYREG_PRT6_PRT
#define PO_POWER__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define PO_POWER__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define PO_POWER__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define PO_POWER__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define PO_POWER__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define PO_POWER__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define PO_POWER__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define PO_POWER__PS CYREG_PRT6_PS
#define PO_POWER__SHIFT 7
#define PO_POWER__SLW CYREG_PRT6_SLW

/* Clock_2 */
#define Clock_2__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define Clock_2__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define Clock_2__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define Clock_2__CFG2_SRC_SEL_MASK 0x07u
#define Clock_2__INDEX 0x00u
#define Clock_2__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define Clock_2__PM_ACT_MSK 0x01u
#define Clock_2__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define Clock_2__PM_STBY_MSK 0x01u

/* VI_OUT */
#define VI_OUT__0__MASK 0x01u
#define VI_OUT__0__PC CYREG_PRT3_PC0
#define VI_OUT__0__PORT 3u
#define VI_OUT__0__SHIFT 0
#define VI_OUT__AG CYREG_PRT3_AG
#define VI_OUT__AMUX CYREG_PRT3_AMUX
#define VI_OUT__BIE CYREG_PRT3_BIE
#define VI_OUT__BIT_MASK CYREG_PRT3_BIT_MASK
#define VI_OUT__BYP CYREG_PRT3_BYP
#define VI_OUT__CTL CYREG_PRT3_CTL
#define VI_OUT__DM0 CYREG_PRT3_DM0
#define VI_OUT__DM1 CYREG_PRT3_DM1
#define VI_OUT__DM2 CYREG_PRT3_DM2
#define VI_OUT__DR CYREG_PRT3_DR
#define VI_OUT__INP_DIS CYREG_PRT3_INP_DIS
#define VI_OUT__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define VI_OUT__LCD_EN CYREG_PRT3_LCD_EN
#define VI_OUT__MASK 0x01u
#define VI_OUT__PORT 3u
#define VI_OUT__PRT CYREG_PRT3_PRT
#define VI_OUT__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define VI_OUT__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define VI_OUT__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define VI_OUT__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define VI_OUT__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define VI_OUT__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define VI_OUT__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define VI_OUT__PS CYREG_PRT3_PS
#define VI_OUT__SHIFT 0
#define VI_OUT__SLW CYREG_PRT3_SLW

/* VQ_OUT */
#define VQ_OUT__0__MASK 0x02u
#define VQ_OUT__0__PC CYREG_PRT3_PC1
#define VQ_OUT__0__PORT 3u
#define VQ_OUT__0__SHIFT 1
#define VQ_OUT__AG CYREG_PRT3_AG
#define VQ_OUT__AMUX CYREG_PRT3_AMUX
#define VQ_OUT__BIE CYREG_PRT3_BIE
#define VQ_OUT__BIT_MASK CYREG_PRT3_BIT_MASK
#define VQ_OUT__BYP CYREG_PRT3_BYP
#define VQ_OUT__CTL CYREG_PRT3_CTL
#define VQ_OUT__DM0 CYREG_PRT3_DM0
#define VQ_OUT__DM1 CYREG_PRT3_DM1
#define VQ_OUT__DM2 CYREG_PRT3_DM2
#define VQ_OUT__DR CYREG_PRT3_DR
#define VQ_OUT__INP_DIS CYREG_PRT3_INP_DIS
#define VQ_OUT__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define VQ_OUT__LCD_EN CYREG_PRT3_LCD_EN
#define VQ_OUT__MASK 0x02u
#define VQ_OUT__PORT 3u
#define VQ_OUT__PRT CYREG_PRT3_PRT
#define VQ_OUT__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define VQ_OUT__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define VQ_OUT__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define VQ_OUT__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define VQ_OUT__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define VQ_OUT__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define VQ_OUT__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define VQ_OUT__PS CYREG_PRT3_PS
#define VQ_OUT__SHIFT 1
#define VQ_OUT__SLW CYREG_PRT3_SLW

/* AUDIO */
#define AUDIO__0__MASK 0x80u
#define AUDIO__0__PC CYREG_PRT3_PC7
#define AUDIO__0__PORT 3u
#define AUDIO__0__SHIFT 7
#define AUDIO__AG CYREG_PRT3_AG
#define AUDIO__AMUX CYREG_PRT3_AMUX
#define AUDIO__BIE CYREG_PRT3_BIE
#define AUDIO__BIT_MASK CYREG_PRT3_BIT_MASK
#define AUDIO__BYP CYREG_PRT3_BYP
#define AUDIO__CTL CYREG_PRT3_CTL
#define AUDIO__DM0 CYREG_PRT3_DM0
#define AUDIO__DM1 CYREG_PRT3_DM1
#define AUDIO__DM2 CYREG_PRT3_DM2
#define AUDIO__DR CYREG_PRT3_DR
#define AUDIO__INP_DIS CYREG_PRT3_INP_DIS
#define AUDIO__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define AUDIO__LCD_EN CYREG_PRT3_LCD_EN
#define AUDIO__MASK 0x80u
#define AUDIO__PORT 3u
#define AUDIO__PRT CYREG_PRT3_PRT
#define AUDIO__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define AUDIO__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define AUDIO__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define AUDIO__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define AUDIO__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define AUDIO__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define AUDIO__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define AUDIO__PS CYREG_PRT3_PS
#define AUDIO__SHIFT 7
#define AUDIO__SLW CYREG_PRT3_SLW

/* DMA_1 */
#define DMA_1__DRQ_CTL CYREG_IDMUX_DRQ_CTL0
#define DMA_1__DRQ_NUMBER 0u
#define DMA_1__NUMBEROF_TDS 0u
#define DMA_1__PRIORITY 2u
#define DMA_1__TERMIN_EN 0u
#define DMA_1__TERMIN_SEL 0u
#define DMA_1__TERMOUT0_EN 0u
#define DMA_1__TERMOUT0_SEL 0u
#define DMA_1__TERMOUT1_EN 0u
#define DMA_1__TERMOUT1_SEL 0u

/* DMA_2 */
#define DMA_2__DRQ_CTL CYREG_IDMUX_DRQ_CTL0
#define DMA_2__DRQ_NUMBER 1u
#define DMA_2__NUMBEROF_TDS 0u
#define DMA_2__PRIORITY 2u
#define DMA_2__TERMIN_EN 0u
#define DMA_2__TERMIN_SEL 0u
#define DMA_2__TERMOUT0_EN 0u
#define DMA_2__TERMOUT0_SEL 0u
#define DMA_2__TERMOUT1_EN 0u
#define DMA_2__TERMOUT1_SEL 0u

/* VI_IN */
#define VI_IN__0__MASK 0x04u
#define VI_IN__0__PC CYREG_PRT3_PC2
#define VI_IN__0__PORT 3u
#define VI_IN__0__SHIFT 2
#define VI_IN__AG CYREG_PRT3_AG
#define VI_IN__AMUX CYREG_PRT3_AMUX
#define VI_IN__BIE CYREG_PRT3_BIE
#define VI_IN__BIT_MASK CYREG_PRT3_BIT_MASK
#define VI_IN__BYP CYREG_PRT3_BYP
#define VI_IN__CTL CYREG_PRT3_CTL
#define VI_IN__DM0 CYREG_PRT3_DM0
#define VI_IN__DM1 CYREG_PRT3_DM1
#define VI_IN__DM2 CYREG_PRT3_DM2
#define VI_IN__DR CYREG_PRT3_DR
#define VI_IN__INP_DIS CYREG_PRT3_INP_DIS
#define VI_IN__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define VI_IN__LCD_EN CYREG_PRT3_LCD_EN
#define VI_IN__MASK 0x04u
#define VI_IN__PORT 3u
#define VI_IN__PRT CYREG_PRT3_PRT
#define VI_IN__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define VI_IN__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define VI_IN__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define VI_IN__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define VI_IN__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define VI_IN__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define VI_IN__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define VI_IN__PS CYREG_PRT3_PS
#define VI_IN__SHIFT 2
#define VI_IN__SLW CYREG_PRT3_SLW

/* VQ_IN */
#define VQ_IN__0__MASK 0x08u
#define VQ_IN__0__PC CYREG_PRT3_PC3
#define VQ_IN__0__PORT 3u
#define VQ_IN__0__SHIFT 3
#define VQ_IN__AG CYREG_PRT3_AG
#define VQ_IN__AMUX CYREG_PRT3_AMUX
#define VQ_IN__BIE CYREG_PRT3_BIE
#define VQ_IN__BIT_MASK CYREG_PRT3_BIT_MASK
#define VQ_IN__BYP CYREG_PRT3_BYP
#define VQ_IN__CTL CYREG_PRT3_CTL
#define VQ_IN__DM0 CYREG_PRT3_DM0
#define VQ_IN__DM1 CYREG_PRT3_DM1
#define VQ_IN__DM2 CYREG_PRT3_DM2
#define VQ_IN__DR CYREG_PRT3_DR
#define VQ_IN__INP_DIS CYREG_PRT3_INP_DIS
#define VQ_IN__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define VQ_IN__LCD_EN CYREG_PRT3_LCD_EN
#define VQ_IN__MASK 0x08u
#define VQ_IN__PORT 3u
#define VQ_IN__PRT CYREG_PRT3_PRT
#define VQ_IN__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define VQ_IN__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define VQ_IN__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define VQ_IN__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define VQ_IN__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define VQ_IN__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define VQ_IN__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define VQ_IN__PS CYREG_PRT3_PS
#define VQ_IN__SHIFT 3
#define VQ_IN__SLW CYREG_PRT3_SLW

/* MISO */
#define MISO__0__MASK 0x02u
#define MISO__0__PC CYREG_PRT6_PC1
#define MISO__0__PORT 6u
#define MISO__0__SHIFT 1
#define MISO__AG CYREG_PRT6_AG
#define MISO__AMUX CYREG_PRT6_AMUX
#define MISO__BIE CYREG_PRT6_BIE
#define MISO__BIT_MASK CYREG_PRT6_BIT_MASK
#define MISO__BYP CYREG_PRT6_BYP
#define MISO__CTL CYREG_PRT6_CTL
#define MISO__DM0 CYREG_PRT6_DM0
#define MISO__DM1 CYREG_PRT6_DM1
#define MISO__DM2 CYREG_PRT6_DM2
#define MISO__DR CYREG_PRT6_DR
#define MISO__INP_DIS CYREG_PRT6_INP_DIS
#define MISO__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define MISO__LCD_EN CYREG_PRT6_LCD_EN
#define MISO__MASK 0x02u
#define MISO__PORT 6u
#define MISO__PRT CYREG_PRT6_PRT
#define MISO__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define MISO__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define MISO__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define MISO__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define MISO__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define MISO__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define MISO__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define MISO__PS CYREG_PRT6_PS
#define MISO__SHIFT 1
#define MISO__SLW CYREG_PRT6_SLW

/* MOSI */
#define MOSI__0__MASK 0x01u
#define MOSI__0__PC CYREG_PRT6_PC0
#define MOSI__0__PORT 6u
#define MOSI__0__SHIFT 0
#define MOSI__AG CYREG_PRT6_AG
#define MOSI__AMUX CYREG_PRT6_AMUX
#define MOSI__BIE CYREG_PRT6_BIE
#define MOSI__BIT_MASK CYREG_PRT6_BIT_MASK
#define MOSI__BYP CYREG_PRT6_BYP
#define MOSI__CTL CYREG_PRT6_CTL
#define MOSI__DM0 CYREG_PRT6_DM0
#define MOSI__DM1 CYREG_PRT6_DM1
#define MOSI__DM2 CYREG_PRT6_DM2
#define MOSI__DR CYREG_PRT6_DR
#define MOSI__INP_DIS CYREG_PRT6_INP_DIS
#define MOSI__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define MOSI__LCD_EN CYREG_PRT6_LCD_EN
#define MOSI__MASK 0x01u
#define MOSI__PORT 6u
#define MOSI__PRT CYREG_PRT6_PRT
#define MOSI__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define MOSI__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define MOSI__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define MOSI__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define MOSI__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define MOSI__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define MOSI__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define MOSI__PS CYREG_PRT6_PS
#define MOSI__SHIFT 0
#define MOSI__SLW CYREG_PRT6_SLW

/* SCLK */
#define SCLK__0__MASK 0x04u
#define SCLK__0__PC CYREG_PRT6_PC2
#define SCLK__0__PORT 6u
#define SCLK__0__SHIFT 2
#define SCLK__AG CYREG_PRT6_AG
#define SCLK__AMUX CYREG_PRT6_AMUX
#define SCLK__BIE CYREG_PRT6_BIE
#define SCLK__BIT_MASK CYREG_PRT6_BIT_MASK
#define SCLK__BYP CYREG_PRT6_BYP
#define SCLK__CTL CYREG_PRT6_CTL
#define SCLK__DM0 CYREG_PRT6_DM0
#define SCLK__DM1 CYREG_PRT6_DM1
#define SCLK__DM2 CYREG_PRT6_DM2
#define SCLK__DR CYREG_PRT6_DR
#define SCLK__INP_DIS CYREG_PRT6_INP_DIS
#define SCLK__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define SCLK__LCD_EN CYREG_PRT6_LCD_EN
#define SCLK__MASK 0x04u
#define SCLK__PORT 6u
#define SCLK__PRT CYREG_PRT6_PRT
#define SCLK__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define SCLK__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define SCLK__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define SCLK__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define SCLK__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define SCLK__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define SCLK__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define SCLK__PS CYREG_PRT6_PS
#define SCLK__SHIFT 2
#define SCLK__SLW CYREG_PRT6_SLW

/* SS_N */
#define SS_N__0__MASK 0x08u
#define SS_N__0__PC CYREG_PRT6_PC3
#define SS_N__0__PORT 6u
#define SS_N__0__SHIFT 3
#define SS_N__AG CYREG_PRT6_AG
#define SS_N__AMUX CYREG_PRT6_AMUX
#define SS_N__BIE CYREG_PRT6_BIE
#define SS_N__BIT_MASK CYREG_PRT6_BIT_MASK
#define SS_N__BYP CYREG_PRT6_BYP
#define SS_N__CTL CYREG_PRT6_CTL
#define SS_N__DM0 CYREG_PRT6_DM0
#define SS_N__DM1 CYREG_PRT6_DM1
#define SS_N__DM2 CYREG_PRT6_DM2
#define SS_N__DR CYREG_PRT6_DR
#define SS_N__INP_DIS CYREG_PRT6_INP_DIS
#define SS_N__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define SS_N__LCD_EN CYREG_PRT6_LCD_EN
#define SS_N__MASK 0x08u
#define SS_N__PORT 6u
#define SS_N__PRT CYREG_PRT6_PRT
#define SS_N__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define SS_N__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define SS_N__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define SS_N__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define SS_N__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define SS_N__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define SS_N__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define SS_N__PS CYREG_PRT6_PS
#define SS_N__SHIFT 3
#define SS_N__SLW CYREG_PRT6_SLW

/* TUNE */
#define TUNE__0__MASK 0x10u
#define TUNE__0__PC CYREG_PRT3_PC4
#define TUNE__0__PORT 3u
#define TUNE__0__SHIFT 4
#define TUNE__AG CYREG_PRT3_AG
#define TUNE__AMUX CYREG_PRT3_AMUX
#define TUNE__BIE CYREG_PRT3_BIE
#define TUNE__BIT_MASK CYREG_PRT3_BIT_MASK
#define TUNE__BYP CYREG_PRT3_BYP
#define TUNE__CTL CYREG_PRT3_CTL
#define TUNE__DM0 CYREG_PRT3_DM0
#define TUNE__DM1 CYREG_PRT3_DM1
#define TUNE__DM2 CYREG_PRT3_DM2
#define TUNE__DR CYREG_PRT3_DR
#define TUNE__INP_DIS CYREG_PRT3_INP_DIS
#define TUNE__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define TUNE__LCD_EN CYREG_PRT3_LCD_EN
#define TUNE__MASK 0x10u
#define TUNE__PORT 3u
#define TUNE__PRT CYREG_PRT3_PRT
#define TUNE__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define TUNE__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define TUNE__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define TUNE__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define TUNE__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define TUNE__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define TUNE__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define TUNE__PS CYREG_PRT3_PS
#define TUNE__SHIFT 4
#define TUNE__SLW CYREG_PRT3_SLW

/* ANT */
#define ANT__0__MASK 0x01u
#define ANT__0__PC CYREG_PRT0_PC0
#define ANT__0__PORT 0u
#define ANT__0__SHIFT 0
#define ANT__AG CYREG_PRT0_AG
#define ANT__AMUX CYREG_PRT0_AMUX
#define ANT__BIE CYREG_PRT0_BIE
#define ANT__BIT_MASK CYREG_PRT0_BIT_MASK
#define ANT__BYP CYREG_PRT0_BYP
#define ANT__CTL CYREG_PRT0_CTL
#define ANT__DM0 CYREG_PRT0_DM0
#define ANT__DM1 CYREG_PRT0_DM1
#define ANT__DM2 CYREG_PRT0_DM2
#define ANT__DR CYREG_PRT0_DR
#define ANT__INP_DIS CYREG_PRT0_INP_DIS
#define ANT__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define ANT__LCD_EN CYREG_PRT0_LCD_EN
#define ANT__MASK 0x01u
#define ANT__PORT 0u
#define ANT__PRT CYREG_PRT0_PRT
#define ANT__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define ANT__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define ANT__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define ANT__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define ANT__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define ANT__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define ANT__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define ANT__PS CYREG_PRT0_PS
#define ANT__SHIFT 0
#define ANT__SLW CYREG_PRT0_SLW

/* Miscellaneous */
/* -- WARNING: define names containing LEOPARD or PANTHER are deprecated and will be removed in a future release */
#define CYDEV_DEBUGGING_DPS_SWD_SWV 6
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIG_FASTBOOT_ENABLED 1
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0u
#define CYDEV_CHIP_MEMBER_5B 4u
#define CYDEV_CHIP_FAMILY_PSOC5 3u
#define CYDEV_CHIP_DIE_PSOC5LP 4u
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_PSOC5LP
#define BCLK__BUS_CLK__HZ 61333333U
#define BCLK__BUS_CLK__KHZ 61333U
#define BCLK__BUS_CLK__MHZ 61U
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_LEOPARD 1u
#define CYDEV_CHIP_DIE_PANTHER 3u
#define CYDEV_CHIP_DIE_PSOC4A 2u
#define CYDEV_CHIP_DIE_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_PSOC3 1u
#define CYDEV_CHIP_FAMILY_PSOC4 2u
#define CYDEV_CHIP_FAMILY_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC5
#define CYDEV_CHIP_JTAG_ID 0x2E123069u
#define CYDEV_CHIP_MEMBER_3A 1u
#define CYDEV_CHIP_MEMBER_4A 2u
#define CYDEV_CHIP_MEMBER_5A 3u
#define CYDEV_CHIP_MEMBER_UNKNOWN 0u
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_5B
#define CYDEV_CHIP_REVISION_3A_ES1 0u
#define CYDEV_CHIP_REVISION_3A_ES2 1u
#define CYDEV_CHIP_REVISION_3A_ES3 3u
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3u
#define CYDEV_CHIP_REVISION_4A_ES0 17u
#define CYDEV_CHIP_REVISION_4A_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_5A_ES0 0u
#define CYDEV_CHIP_REVISION_5A_ES1 1u
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1u
#define CYDEV_CHIP_REVISION_5B_ES0 0u
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_5B_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_PSOC5LP_PRODUCTION
#define CYDEV_CHIP_REV_LEOPARD_ES1 0u
#define CYDEV_CHIP_REV_LEOPARD_ES2 1u
#define CYDEV_CHIP_REV_LEOPARD_ES3 3u
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3u
#define CYDEV_CHIP_REV_PANTHER_ES0 0u
#define CYDEV_CHIP_REV_PANTHER_ES1 1u
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1u
#define CYDEV_CHIP_REV_PSOC4A_ES0 17u
#define CYDEV_CHIP_REV_PSOC4A_PRODUCTION 17u
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0u
#define CYDEV_CONFIGURATION_COMPRESSED 0
#define CYDEV_CONFIGURATION_DMA 1
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_DMA
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD_SWV
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_REQXRES 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DEBUG_ENABLE_MASK 0x20u
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DEBUG
#define CYDEV_DMA_CHANNELS_AVAILABLE 24u
#define CYDEV_ECC_ENABLE 0
#define CYDEV_HEAP_SIZE 0x1000
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_INTR_RISING 0x0000000Fu
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_STACK_SIZE 0x4000
#define CYDEV_USE_BUNDLED_CMSIS 1
#define CYDEV_VARIABLE_VDDA 0
#define CYDEV_VDDA 3.3
#define CYDEV_VDDA_MV 3300
#define CYDEV_VDDD 3.3
#define CYDEV_VDDD_MV 3300
#define CYDEV_VDDIO0 3.3
#define CYDEV_VDDIO0_MV 3300
#define CYDEV_VDDIO1 3.3
#define CYDEV_VDDIO1_MV 3300
#define CYDEV_VDDIO2 3.3
#define CYDEV_VDDIO2_MV 3300
#define CYDEV_VDDIO3 3.3
#define CYDEV_VDDIO3_MV 3300
#define CYDEV_VIO0 3.3
#define CYDEV_VIO0_MV 3300
#define CYDEV_VIO1 3.3
#define CYDEV_VIO1_MV 3300
#define CYDEV_VIO2 3.3
#define CYDEV_VIO2_MV 3300
#define CYDEV_VIO3 3.3
#define CYDEV_VIO3_MV 3300
#define DMA_CHANNELS_USED__MASK0 0x00000003u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
