//----------------------------------------------------------------------------
// C main line
//----------------------------------------------------------------------------

#include <m8c.h>        // part specific constants and macros
#include "PSoCAPI.h"    // PSoC API definitions for all User Modules


void main(void)
{
	// M8C_EnableGInt ; // Uncomment this line to enable Global Interrupts
	// Insert your main routine code here.
	
	PGA_1_Start(PGA_1_HIGHPOWER);
	PGA_2_Start(PGA_2_HIGHPOWER);
	LPF2_1_Start(LPF2_1_HIGHPOWER);
	LPF2_2_Start(LPF2_2_HIGHPOWER);
	LPF2_3_Start(LPF2_2_HIGHPOWER);
	//
	DAC8_1_Start(DAC8_1_FULLPOWER);
	DAC8_1_WriteBlind(25); // 254*(0.5/5.0)

	
	while(1);
}
